using UniVerse.Application.DTOs.Locations;

namespace UniVerse.Application.Interfaces;

public interface ILocationService
{
    Task<List<LocationDto>> GetAllAsync();
    Task<LocationDto> GetByIdAsync(int id);
    Task<LocationDto> CreateAsync(CreateLocationRequest request);
    Task<LocationDto> UpdateAsync(int id, UpdateLocationRequest request);
    Task DeleteAsync(int id);
}
